package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by max on 2020/5/12.
 */
@Data
@Entity
@Table(name = "agent_point")
public class AgentPointTable extends BaseTable{

    private Long agentId;
    /**
     * 返佣类型，1：品种类型，2：百分比
     */
    private Integer type;

    private Float classicFx;

    private Float classicCfd;

    private Float classicIndex;

    private Float classicMetal;

    private Float vipFx;

    private Float vipCfd;

    private Float vipIndex;

    private Float vipMetal;

    private Float instantFx;

    private Float instantMetal;

    private Float instantIndex;

    private Float comPointOne;

    private Float comPointTwo;

    private Float comPointThree;

    private Float percent;
    /**
     * 生效时间
     */
    private Date validTime;

    private Float standardFx;

    private Float standardCfd;

    private Float standardIndex;

    private Float standardMetal;

    private Float centFx;

    private Float centCfd;

    private Float centIndex;

    private Float centMetal;

    public static AgentPointTable getInstance(){
        AgentPointTable table = new AgentPointTable();
        table.setClassicFx(0F);
        table.setClassicCfd(0F);
        table.setClassicIndex(0F);
        table.setClassicMetal(0F);

        table.setVipFx(0F);
        table.setVipCfd(0F);
        table.setVipIndex(0F);
        table.setVipMetal(0F);

        table.setInstantFx(0F);
        table.setInstantIndex(0F);
        table.setInstantMetal(0F);

        table.setComPointOne(0F);
        table.setComPointTwo(0F);
        table.setComPointThree(0F);

        table.setStandardFx(0F);
        table.setStandardCfd(0F);
        table.setStandardIndex(0F);
        table.setStandardMetal(0F);

        table.setCentFx(0F);
        table.setCentCfd(0F);
        table.setCentIndex(0F);
        table.setCentMetal(0F);

        return table;
    }


}
